// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.3
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
namespace Fund;

interface

type
  UnityWeight = public class (WeightingScheme)
  private
  protected
    method GetName: string; override;
    method GetWeight(Year: Integer; Region: integer): double; override;  
  public
    method CalculateWeights(ModelOutput: ModelOutput); override;  
  end;
  
implementation

method UnityWeight.GetName: string; 
begin
  Result:='No weighting';
end;

method UnityWeight.GetWeight(Year: Integer; Region: integer): double; 
begin
  Result:= 1;
  //if region = 1 THEN
  //   Result:= 1
  //else
  //    Result:= 0;
end;

method UnityWeight.CalculateWeights(ModelOutput: ModelOutput); 
begin
end;

end.